<#assign base=request.contextPath />
<#import "../common/defaultLayout.ftl" as defaultLayout>
<@defaultLayout.layout>

<div class="admin-content">
    <div class="admin-content-body">
        <div class="am-cf am-padding">
            <div class="am-fl am-cf"><strong class="am-text-primary am-text-lg">系统管理</strong> / <small>后端资源管理</small></div>
        </div>

<form method="post" class="am-form" id="pmsForm"
    action="${base}/permission/save">
    <!--选项卡（tabs）begin-->
    <div class="am-tabs am-margin" data-am-tabs>
        <ul class="am-tabs-nav am-nav am-nav-tabs">
            <li class="am-active"><a href="#tab1">资源配置</a></li>
        </ul>
        <div class="am-tabs-bd">
            <div class="am-tab-panel am-fade am-in am-active" id="tab1">
            <input name="permissionID" id="permissionID" type="hidden"
                    value="${permissionID!}" />
                <!--验证表单元素（validate) begin-->

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right">
                        <span style="color: red;">*</span>名称
                    </div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input name="name" class="js-ajax-validate"
                            data-validate-async data-validation-message="请输入资源名称（10字符以内）"
                            type="text" id="name" value="${permission.name!}" minlength="1"
                            maxlength="10" placeholder="请输入资源名称（10字符以内）" required />
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right">
                        图标
                    </div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="text" class="am-input" name="icon"  maxlength="50"
                            value="${permission.icon!}" />
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>URL</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="text" class="am-input" data-validate-async data-validation-message="请输入资源URL地址（50字符以内）"
                        name="url" placeholder="请输入资源URL地址（50字符以内）" maxlength="50"
                            value="${permission.url!}" required />
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>权限编码</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="text" class="am-input" data-validate-async data-validation-message="请输入权限编码（30字符以内）"
                        name="permission" placeholder="请输入权限编码（30字符以内）" maxlength="30"
                            value="${permission.permission!}" required />
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>父ID</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="text" class="am-input js-pattern-sort" data-validate-async data-validation-message="请输入该资源的父ID（纯数字）"
                        name="parentId" placeholder="请输入该资源的父ID" maxlength="11" onkeyup="value=value.replace(/[^\d]/g,'') "
                        onbeforepaste="clipboardData.setData('text',clipboardData.getData('text').replace(/[^\d]/g,''))"
                           <#if (permissionID == "-1") > value="" <#else> value="${permission.parentId!}"  </#if>  required />
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>LEVEL</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <select data-am-selected id="level" name="level">
	                        <option value="1" <#if permission.level == 1 > selected </#if> >1</option>
	                        <option value="2" <#if permission.level == 2 > selected </#if> >2</option>
	                        <option value="3" <#if permission.level == 3 > selected </#if> >3</option>
	                        <option value="4" <#if permission.level == 4 > selected </#if> >4</option>
	                        <option value="5" <#if permission.level == 5 > selected </#if> >5</option>
                        </select>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>节点类型</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <select data-am-selected id="type" name="type">
	                        <option value="1" <#if permission.type == 1 > selected </#if> >非叶子节点</option>
	                        <option value="2" <#if permission.type == 2 > selected </#if> >叶子节点</option>
                        </select>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>排序</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="text" class="am-input js-pattern-sort" name="sort"  data-validation-message="排序不能为空且只能是纯数字" placeholder="请输入纯数字,越小越向前" maxlength="11" required
                            value="${permission.sort!}" />
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right">备注</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="text" class="am-input" data-validate-async data-validation-message="请输入备注信息（100字符以内）"
                        name="remark" placeholder="请输入备注信息（100字符以内）" maxlength="100"
                            value="${permission.remark!}" />
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

            </div>
            <!--验证表单元素（validate end-->
        </div>
    </div>
    </div>
    <!--选项卡（tabs）end-->
    <div class="am-margin">
        <button type="submit" class="am-btn am-btn-primary am-btn-xs">提交保存</button>
        <button type="button" class="am-btn am-btn-warning am-btn-xs"
            onclick="javascript:history.go(-1);">返回上一级</button>
    </div>
</form>

</div>
</div>

</@defaultLayout.layout>















